<?php
require_once("config/configDB.php"); 

// storing  request (ie, get/post) global array to a variable  
$requestData= $_REQUEST;


$userpermissionEdit 	= $_POST['userpermissionEdit'];
$userpermissionDelete 	= $_POST['userpermissionDelete'];
//cname, city, pincode, mobile, gst_type, ccode, open_balance
$columns = array( 
// datatable column index  => database column name
	0 => 'id', 
	1 => 'ename',
	2 => 'eaddress',
	3 => 'mobile',
	4 => 'ecode'
);

$sql = "SELECT id FROM employee_master where isdelete=1";
$query=mysqli_query($conn, $sql) or die("employeegriddata.php: get employee Data step 1");
$totalData = mysqli_num_rows($query);
$totalFiltered = $totalData;  

$sql = "SELECT ename, eaddress, mobile, ecode,id ";
$sql.=" FROM employee_master WHERE 1=1 and isdelete=1";
if( !empty($requestData['search']['value']) ) {   

	$sql.=" AND ( ecode LIKE '".$requestData['search']['value']."%' ";    
	$sql.=" OR ename LIKE '".$requestData['search']['value']."%' ";
	$sql.=" OR eaddress  LIKE '".$requestData['search']['value']."%' ";
	$sql.=" OR mobile LIKE '".$requestData['search']['value']."%' ";
    $sql.=" OR id LIKE '".$requestData['search']['value']."%' )";
}
$query=mysqli_query($conn, $sql) or die("employeegriddata.php: get employee Data step 2");
$totalFiltered = mysqli_num_rows($query); 

$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";

$query=mysqli_query($conn, $sql) or die("employeegriddata.php: get employee Data step 3");
	
//cname, city, pincode, mobile, gst_type, ccode, open_balance
$data = array();
while( $row=mysqli_fetch_array($query) ) { 
	$nestedData=array(); 

	$nestedData[] = $row["id"];
	$nestedData[] = $row["ecode"];
	$nestedData[] = $row["ename"];
	$nestedData[] = $row["eaddress"];
	$nestedData[] = $row["mobile"];
	
    
	
	//$date = new DateTime($row["employee_joining_date"]); 
	//$nestedData[] = $date->format('d-m-Y'); //only fetching date
	//$nestedData[] = $row["open_balance"];
	
	$edit  = "";
	if($userpermissionEdit==1) {
		$edit .="<a href='employeeMasterEdit.php?id=".$row['id']."' id='employeeMaster_".$row['id']."' class='btn btn-primary'>Edit</a>&nbsp";
	}

	$Delete  = "";
	if($userpermissionDelete==1) {
		$Delete .="<a id='employeeMasterDelete_".$row['id']."' class='btn btn-primary' onclick='ConfirmemployeeMasterDelete(".$row['id'].")' >Delete</a>";
	}
	$nestedData[] = $edit."&nbsp".$Delete;
	
	$data[] = $nestedData;
}

$json_data = array(
			"draw"            => intval( $requestData['draw'] ),   
			"recordsTotal"    => intval( $totalData ),  
			"recordsFiltered" => intval( $totalFiltered ), 
			"data"            => $data   
			);

echo json_encode($json_data);  

?>
